
# An example of working with affection points, adding, removing and checking on the amount.
label school:
    show bg classroom with dissolve
    if calendar.time_of_day() in [1, 2]:
        menu:
            "Go talk to Ayame!":
                show ayame normal at center
                if not ayame_ppl.has_flag("first"):
                    ken "Hi..."
                    aya "Um... hi... [ken.name] right?"
                    ken "You know my name?"
                    aya "Well... Your friends are pretty noisy and call you all the time."
                    ken "Ah, sorry about that..."
                    aya "No! It's ok... Doesn't bother me at all."
                    ken "..."
                    aya "..."
                    $ ayame_ppl.flag("first")
                    $ ayame_ppl.affection += 5 # You gain her affection by talking to her
                else:
                    ken "Hi..."
                    aya "Hi... [ken.name] kun."

                menu:
                    "It's a nice day isn't it?":
                        ken "It's a nice day isn't it?"
                        aya "Yes, it is."
                        ken "..."
                        aya "..."
                        ken "See you later then..."
                        aya "Sure..."
                        $ ayame_ppl.affection += 10
                    "What are you doing after the class?" if ayame_ppl.affection > 30 and not ayame_ppl.has_flag("cafe this evening"):
                        ken "What are you doing after the class?"
                        if ayame_ppl.affection < 50: # If you have less than 50 affection points with her
                            aya "That's a bit forward [ken.name] kun."
                            ken "Sorry..."
                        else:
                            aya "Nothing why?"
                            ken "I'm going to the cafe, do you want to come?"
                            aya "Sure."
                            ken "Alright, we weill meet in front of the cafe this evening. Let's say 19:30?"
                            aya "sounds good."
                            $ ayame_ppl.flag("cafe this evening") # we will set this flag to check later this afternoon, don't forget to meet her there
                            # $ ayame_ppl.set_timer(0, 20, "stood up", "cafe this evening") # A timer. in 0 days at 20:00 add the first flag and remove the second
                            $ ayame_ppl.affection += 10
                    "I like your hair.":
                        ken "I like your hair."
                        aya "Thanks, "
                        $ ayame_ppl.affection += 10
                        ken "..."
                        ken "See you later then..."
                        aya "Sure..."
                    "I love you...":
                        ken "I love you."
                        aya "huh?"
                        ken "Right, give me my negative points and I'll be on my way."
                        $ ayame_ppl.affection -= 10
                hide ayame with dissolve
                jump map
            "Run away!":
                ken "Nope I'm a coward."
                jump map
    else:
        "Nobody hangs around here at this time of the day."
        jump map

