
# This is an example of using the flags system to change the dialogue instead of creating multiple labels with slightly different lines of dialogues.
label street:
    show bg street with dissolve
    if calendar.time_of_day() in [0,3] and not hana_ppl.has_flag("found mayo", "told about mayo"): # check if it's either evening or night or hana haven't found mayo yet or you've told her about mayo. "has_flag()" can check multiple flags
        han "Hey! boy!"
        show hana normal at center with dissolve
        if not hana_ppl.has_flag("asked about mayo"): # Change the dialogue based on if the question is already asked
            ken "Yes!"
            han "Have you seen a girl with weird clothing around here?"
            ken "Weird like the ones you're wearing?"
            han "No, like magic hat and stuff."
            $ hana_ppl.flag("asked about mayo")
        else:
            ken "My name is [ken.name]"
            han "Have you seen her?"
        if mayo_ppl.has_flag("first encounter"): # Additional options If the player have encountered mayo.
            menu:
                "Yes I've seen her.":
                    ken "Yes I've seen her."
                    han "Where?" with hpunch
                    ken "Hey, easy! Don't shake me like that."
                    han "..."
                    han "Sorry... It's important."
                    han "Where did you saw her?"
                    ken "The road by the jungle..."
                    hide hana with moveoutright
                    ken "hey..."
                    ken "That was rude."
                    $ hana_ppl.flag("told about mayo")
                "Why are you looking for her?":
                    ken "Why are you looking for her?"
                    if not hana_ppl.has_flag("kept secret"): # Change the dialogue on repeating this option
                        han "It's none of your business."
                        ken "Huh? That's rude."
                        han "Have you seen her or not."
                        ken "Well... I don't think..."
                        han "You're just wasting my time."
                    else:
                        han "I've told you, it's none of your business."
                        han "Don't waste my time."
                    hide hana with moveoutright
                    ken "I'm not..."
                    $ hana_ppl.flag("kept secret")
        else:
            ken "Well... I can't recall anything like that."
            han "Alright, be on your way."
            hide hana with dissolve
            ken "what the..."

        jump map
    else:
        ken "Nothing special happening here."
        jump map



